package com.bocloud.ims.interfaces.h3c;

import java.util.List;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.DataStore;
import com.bocloud.ims.entity.resource.DataStoreFile;

/**
 * @author hufy
 *
 */
public interface H3cDataStoreService {

	public BocloudResult<List<DataStore>> listStores(Long id);

	public BocloudResult<List<DataStoreFile>> listStoreFiles(Long id);

	public BocloudResult<String> create(DataStore dataStore, RequestContext context);

	public BocloudResult<GridBean<DataStore>> listStores(Pager pager, RequestContext context);

	public BocloudResult<GridBean<DataStoreFile>> listStoreFiles(Pager pager, RequestContext context);

	public BocloudResult<String> removeStoreFile(Long id, RequestContext context);
}
